Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236614 - ssl socket creation failure
Summary: ssl socket creation failure
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Tromey
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 19:22 UTC by Thomas Fitzsimmons
Modified: 2014-08-11 05:46 UTC (History)
3 users (show)

Fixed In Version: 4.1.2-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 07:42:03 UTC


Attachments (Terms of Use)
demonstrate ssl socket creation failure (deleted)
2007-04-16 19:22 UTC, Thomas Fitzsimmons
no flags Details

Description Thomas Fitzsimmons 2007-04-16 19:22:10 UTC
The attached test case throws an exception when run against libgcj because the
null localHost argument is passed through to _Jv_bind.  This test case works on
Sun's JDK (presumably -- Sun's Javadocs don't document this case -- by assuming
a default value in place of the null argument).

Comment 1 Thomas Fitzsimmons 2007-04-16 19:22:10 UTC
Created attachment 152712 [details]
demonstrate ssl socket creation failure

Comment 2 Tom Tromey 2007-04-16 20:21:22 UTC
I checked in a fix to gcc svn trunk and the RH 4.1 branch.
Hopefully it will appear in rawhide after the next GCC build.


Comment 3 Jakub Jelinek 2007-04-19 07:42:03 UTC
Should be fixed in gcc-4.1.2-9.


Note You need to log in before you can comment on or make changes to this bug.